Package org.mariadb.jdbc.message.server

## Class ErrorPacket

- java.lang.Object
- - org.mariadb.jdbc.message.server.ErrorPacket

All Implemented Interfaces:
  `ServerMessage`

    public final class ErrorPacket
    extends Object
    implements ServerMessage

### Constructor Summary

Constructors

`ErrorPacket​(org.mariadb.jdbc.client.ReadableByteBuf buf, Context context)`

+--------------------------------------------------+ | 0 1 2 3 4 5 6 7 8 9 a b c d e f | +--------------------------------------------------+------------------+ | 17 00 00 01 FF 10 04 54 6F 6F 20 6D 61 6E 79 20 | .......Too many | | 63 6F 6E 6E 65 63 74 69 6F 6E 73 | connections | +--------------------------------------------------+------------------+

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `getErrorCode()`
`String` `getMessage()`
`String` `getSqlState()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorPacket

    public ErrorPacket​(org.mariadb.jdbc.client.ReadableByteBuf buf,
                       Context context)

+--------------------------------------------------+ | 0 1 2 3 4 5 6 7 8 9 a b c d e f | +--------------------------------------------------+------------------+ | 17 00 00 01 FF 10 04 54 6F 6F 20 6D 61 6E 79 20 | .......Too many | | 63 6F 6E 6E 65 63 74 69 6F 6E 73 | connections | +--------------------------------------------------+------------------+

Parameters:
  `buf` - error packet buffer
  `context` - current context

### Method Detail

#### getErrorCode

    public short getErrorCode()

#### getMessage

    public String getMessage()

#### getSqlState

    public String getSqlState()